---
layout: default
title: GitLab Hackathon
description: "Join the community, hack on GitLab and win prizes!"
suppress_header: true
twitter_image: '/images/tweets/hackathon-twitter-card.png'
extra_css:
  - contributing.css
  - styles-2018.css
extra_js:
  - countdown.js
  - hackathon.js
---
.wrapper
  .simple-hero
    .container
      .row
        .col-md-8.col-md-offset-2.hero-image
          = partial "includes/icons/hackathon-header.svg"

      .row
        %h1 GitLab Hackathon

      .row
        .col-md-6.col-md-offset-3
          :markdown
            Get together with the GitLab community to contribute, learn and win exciting prizes.
            <i class="fab fa-gitlab fa-fw" style="color:rgb(252,109,38); font-size:.85em" aria-hidden="true"></i>
            Join us on February 12th - 13th, 2020!
            <i class="fab fa-gitlab fa-fw" style="color:rgb(252,109,38); font-size:.85em" aria-hidden="true"></i>
            <br/><br/>
            <span class="h3" id="nextHackathonCountdown">
            <i class="fas fa-spinner fa-spin fa-fw" style="color:rgb(255,255,255)); font-size:.85em" aria-hidden="true"></i>
            </span>

  #content
    .wrapper.container.contributing-content{role: "main"}
      .block
        .block-content
          %h2.block-title Joining in
          :markdown
            The Hackathon is a virtual event open to anyone who is interested in contributing code,
            documentation, translations, UX designs and more to GitLab. Prizes are awarded to participants for having Merge Requests (MRs) merged
            and there may also be special award categories at each Hackathon.

            <figure class="video_container">
            <iframe src="https://www.youtube.com/embed/gNtoSUMhO9U" frameborder="0" allowfullscreen="true"> </iframe>
            </figure> 



            To get started:

            1. Block the dates on your calendar!
            1. Check out the [Contribute page](https://about.gitlab.com/contributing/).
            1. Pick an existing issue to work on, or file a new one. If it's your first time contributing, a good way to join the Hackathon is to [pick and fix a bite size issue](https://gitlab.com/groups/gitlab-org/-/issues?scope=all&utf8=%E2%9C%93&state=opened&weight=1&label_name[]=Accepting%20merge%20requests&milestone_title=Backlog). You can also find [issues for more experienced contributors](https://gitlab.com/gitlab-com/marketing/community-relations/contributor-program/hackathon/issues/23#suggested-issues-list).
            1. If you have decided to work on an issue, it helps if you leave a comment. That way it's less likely for multiple people to be working on the same issue.
            1. [Join the tutorial sessions](#sessions)
            1. Share the MRs you are working on, get help or help others. [Join the party at the contributors channel](#getting-help).
            

            <p class="alert alert-gitlab-purple text-center"> 
            <span class="h3" id="hackathonMRCount"> 
            <i class="fas fa-spinner fa-spin fa-fw" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i> 
            </span> 
            </p> 
            
            
      .block
        .block-content
          %h2#contribute-for-prize.block-title
            %a{ href: '#prize' } Hackathon Prizes

          %p
          :markdown
            We are excited to offer the following categories of prizes for this Hackathon:
            
          %p
          :markdown
            <p class="alert alert-info">
            <i class="fas fa-info-circle" aria-hidden="true" style="color: rgb(49, 112, 143);"></i>
            All qualifying MRs must be submitted on November 13th & 14th in your local timezone and be <em>merged</em> by
            <a href="https://www.timeanddate.com/worldclock/fixedtime.html?iso=20191125T23&p1=1440">November 25 23:00 UTC</a>.
            </p>
            

            | Categories | Eligibility | Prizes  | Description  |
            |------------|-------------|---------|--------------|
            | Grand Prize | Individual(s) with the most MRs merged | ![Grand prize](/images/community/hackathon/GitLab_Shop.png) | $100 to spend at <a href="https://shop.gitlab.com">the GitLab store</a> |
            | Second Place | Individual(s) with the second most MRs merged | ![Second prize](/images/community/hackathon/musicbox.png) | Music box with wireless ear buds and speaker |
            | Merged MR | Everyone on with an MR merged | ![Merged MRs](/images/community/hackathon/tech_organizer.png) | Tech organizer with a tablet strap | 

          %p
          :markdown
            <p class="alert alert-info">
            <i class="fas fa-info-circle" aria-hidden="true" style="color: rgb(49, 112, 143);"></i>
            All qualifying MRs must be submitted on November 13th & 14th in your local timezone and be <em>merged</em> by
            <a href="https://www.timeanddate.com/worldclock/fixedtime.html?iso=20191125T23&p1=1440">November 25 23:00 UTC</a>.
            </p>

      .block
        .block-content
          %h2#sessions.block-title
            %a{ href: '#sessions' } Tutorial sessions
          :markdown
            Tutorial sessions during the Hackathon help you get kickstarted with contributing and to learn more about GitLab development. More sessions/speakers will be added as they are confirmed.

          %p

          %table.table
            %thead
              %tr
                %th
                  Date
                %th
                  Time in
                  = link_to "UTC", "https://en.wikipedia.org/wiki/Coordinated_Universal_Time"
                  %br
                  (click for local time)
                %th
                  Topic
                %th
                  Session
                %th
                  Speakers

            %tbody
              %tr
                %td
                  November 13
                %td
                  = link_to "07:00 - 07:30", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20191113T07&p1=1440&am=30"
                %td
                  Hackathon Kickoff
                %td
                  <iframe src="https://www.youtube.com/embed/gNtoSUMhO9U" frameborder="0" allowfullscreen="true"> </iframe>
                  = link_to "Presentation", "https://docs.google.com/presentation/d/1HiCn6WifmbyOm6oH-2tN_mdFe4paUKOQ_mUqf1ubCXI/"
                %td
                  = link_to "Ray Paik (@rpaik),", "https://gitlab.com/rpaik"
                  = link_to "Dave Planella (@dplanella)", "https://gitlab.com/dplanella"
              %tr
                %td
                  November 13
                %td
                  = link_to "15:00 - 15:30", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20191113T15&p1=1440&am=30"
                %td
                  Contributing to 
                  = link_to "GitLab Geo", "https://docs.gitlab.com/ee/administration/geo/replication/index.html"
                  -# = link_to "(Suggested testing issues)", "https://gitlab.com/gitlab-org/quality/testcases/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=Accepting%20merge%20requests"
                %td
                  -# = link_to "Recording,", "https://youtu.be/h3Dwhv8JgPU"
                  <iframe src="https://www.youtube.com/embed/h3Dwhv8JgPU" frameborder="0" allowfullscreen="true"> </iframe>
                  = link_to "Presentation,", "https://docs.google.com/presentation/d/1yGTvC4ttieeUOll9c7VZlStXsqShhuTMU6qJKMnyu6I/edit?usp=sharing"
                  = link_to "Geo/Replication documentation", "https://docs.gitlab.com/ee/administration/geo/replication/"
                %td
                  = link_to "Fabian Zimmer (@fzimmer)", "https://gitlab.com/fzimmer"
              %tr
                %td
                  November 13
                %td
                  = link_to "15:30 - 16:00", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20191113T1530&p1=1440&am=30"
                %td
                  Contributing to
                  = link_to "GitLab Manage stage", "https://about.gitlab.com/handbook/product/categories/#manage-stage"
                %td
                  -# = link_to "Recording,", "https://youtu.be/L1rvx6RJJZQ"
                  <iframe src="https://www.youtube.com/embed/L1rvx6RJJZQ" frameborder="0" allowfullscreen="true"> </iframe>
                  = link_to "Presentation", "https://docs.google.com/presentation/d/1d3QAgvX6gaDftVIiD3FpNpzyMRq7F4wbGz9HzHufgfw/edit#slide=id.g2823c3f9ca_0_9"
                %td
                  = link_to "Gosia Ksionek (@mksionek),", "https://gitlab.com/mksionek"
                  = link_to "Jeremy Watson (@jeremy)", "https://gitlab.com/jeremy"
              %tr
                %td
                  November 13
                %td
                  = link_to "17:00 - 17:30", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20191113T17&p1=1440&am=30"
                %td
                  Contributing to 
                  = link_to "Meltano", "https://gitlab.com/meltano/meltano"
                  -# = link_to "(Suggested testing issues)", "https://gitlab.com/gitlab-org/quality/testcases/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=Accepting%20merge%20requests"
                %td
                  -# = link_to "Recording,", "https://youtu.be/X-0wgwI-HYY"
                  <iframe src="https://www.youtube.com/embed/X-0wgwI-HYY" frameborder="0" allowfullscreen="true"> </iframe>
                  = link_to "Presentation", "https://docs.google.com/presentation/d/1IkoPwOVANP8ooQEUGT26kYMgQM3GseFotYQis47sI_8/"
                %td
                  = link_to "Yannis Roussos (@iroussos)", "https://gitlab.com/iroussos"                  
              %tr
                %td
                  November 13 
                %td
                  = link_to "18:00 - 18:30", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20191113T18&p1=1440&am=30"
                %td
                  Becoming a 
                  = link_to "GitLab Hero", "https://about.gitlab.com/community/heroes"
                %td
                  -# = link_to "Recording", "https://youtu.be/xpnKX1_hHfo"
                  <iframe src="https://www.youtube.com/embed/xpnKX1_hHfo" frameborder="0" allowfullscreen="true"> </iframe>
                  -# = link_to "Presentation", "https://docs.google.com/presentation/d/1HoQT9x01grj2W7SVfWYjc01xrSiy75a-hsd4ul1ZKWo/"
                %td
                  = link_to "Emily Chin (@echin),", "https://gitlab.com/echin"
                  = link_to "John Coghlan (@johncoghlan)", "https://gitlab.com/johncoghlan"
              %tr
                %td
                  November 14
                %td
                  = link_to "23:00 - 23:30", "https://www.timeanddate.com/worldclock/fixedtime.html?iso=20191114T23&p1=1440&am=30"
                %td
                  Hackathon wrap-up 
                %td
                  -# = link_to "Zoom link,", "https://gitlab.zoom.us/j/495540646"
                  <iframe src="https://www.youtube.com/embed/1ROZN7szyk0" frameborder="0" allowfullscreen="true"> </iframe>
                  = link_to "Presentation", "https://docs.google.com/presentation/d/14mwFDERnlSNIVO3ELgo4LqnctiGy2wcTPL0nTKH3Spg/"
                %td
                  = link_to "Ray Paik (@rpaik)", "https://gitlab.com/rpaik"

          %p
          :markdown
            <p class="alert alert-info">
            <i class="fas fa-info-circle" aria-hidden="true" style="color: rgb(49, 112, 143);"></i>
            If you miss any of the sessions, you will find the recordings in the
            <a href="https://www.youtube.com/playlist?list=PLFGfElNsQthapq-CyXBTVnT2yKqg1JrNh">Hackathon Playlist</a>.
            </p>

          %h3#getting-help.block-title
            %a{ href: '#getting-help' } Getting help
          %p
          :markdown
            For communications during the Hackathon, we will use the GitLab Contributors room in Gitter. This is a channel for community-related discussions and for community members to help each other as people have questions when contributing to GitLab.

            It's open to everyone, so please [join us at the Contributors Gitter room](https://gitter.im/gitlabhq/contributors)!

      .block
        .block-content
          %h2#contribute-for-prize.block-title
            %a{ href: '#contribute-for-prize' } Missed the last Hackathon?
          :markdown
            If you missed the previous Hackathon, you still have an opportunity to contribute for a prize.  You can start by searching for priority issues with the label `Contribute for prize` as you can see in this [query](https://gitlab.com/gitlab-org/gitlab/issues?scope=all&utf8=%E2%9C%93&state=opened&label_name[]=Contribute%20for%20prize).  For the next few months, anyone who works on these issues and have an MR merged will receive the [GitLab moleskin note book (photo below)](https://shop.gitlab.com/collections/frontpage/products/gitlab-moleskin). If you're interested in working on these `Contribute for prize` items, you can mention `@rpaik` in the issue so that it can be assigned to you.

          %p

          .row
            %p
          .row.contributeforprize
            .col-sm-4
              .prize-image
                = image_tag "/images/community/hackathon/moleskin.png", class: "img-responsive"
          %p

      .block
        .block-content
          %h2#past-events.block-title
            %a{ href: '#past-events' } Past events

          %p
            To learn more about previous Hackathon events, visit the
            %a{href: "https://about.gitlab.com/community/hackathon/past-events.html"} past GitLab Hackathons page.

      .block
        .block-content
          #hackathon-q-a.animated
            %h2#faq.block-title
              %a{ href: '#faq' } Frequently Asked Questions
            .faq-holder.clearfix
              %ol.faq-container.list-unstyled
                %li.faq-item
                  .faq-inner-item
                    %a.faq-question.js-faq-question
                      Which GitLab projects qualify for the Hackathon?
                      %i.fa.fa-angle-down.pull-right
                    .faq-answer
                      :markdown
                        While we generally encourage contribution to the [GitLab](https://gitlab.com/gitlab-org/gitlab) project, MRs for any project under the
                        [`gitlab-org` group](https://gitlab.com/gitlab-org), [Meltano](https://gitlab.com/meltano/meltano), and [www-gitlab-com](https://gitlab.com/gitlab-com/www-gitlab-com) qualify for the Hackathon. If you are in doubt about a project which is not on this list, please do ask us on the [Contributors Gitter channel](https://gitter.im/gitlabhq/contributors).

              %ol.faq-container.list-unstyled
                %li.faq-item
                  .faq-inner-item
                    %a.faq-question.js-faq-question
                      What are the key dates for the current Hackathon?
                      %i.fa.fa-angle-down.pull-right
                    .faq-answer
                      :markdown
                        - November 13th & 14th (in your local timezone): all MRs must be submitted
                        - [November 13 07:00 UTC](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20191113T07&p1=1440&am=30): Hackathon kickoff session
                        - [November 14 23:00 UTC](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20191114T23&p1=1440&am=30): Hackathon wrap-up session
                        - [November 25 23:00 UTC](https://www.timeanddate.com/worldclock/fixedtime.html?iso=20191125T23&p1=1440): all qualifying MRs must have been _merged_
